<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * EventoTipo
 *
 * @ORM\Table(name="evento_tipo")
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\EventoTipoRepository")
 */
class EventoTipo
{
    /**
     * @var integer
     *
     * @ORM\Column(name="evento_tipo_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $eventoTipoId;

    /**
     * @var string
     *
     * @ORM\Column(name="evet_descricao", type="string", length=100, nullable=false)
     */
    private $evetDescricao;

    public function getEventoTipoId() {
        return $this->eventoTipoId;
    }

    public function getEvetDescricao() {
        return $this->evetDescricao;
    }

    public function setEventoTipoId($eventoTipoId) {
        $this->eventoTipoId = $eventoTipoId;
    }

    public function setEvetDescricao($evetDescricao) {
        $this->evetDescricao = $evetDescricao;
    }



}
