<?php

namespace Certificados\Form;

use Zend\Form\Element\Text;
use Zend\Form\Form;

class ConsultaUsuario extends Form {

    public function __construct($name = null, $options = array()) {
        parent::__construct('consulta-usuario', $options);
        $this->setInputFilter(new ConsultaUsuarioFilter());
        $this->setAttribute('method', 'post');

        $cpf = new Text("cpf");
        $cpf->setLabel("CPF")->setAttribute('placeholder', '11 digitos numéricos')->setAttribute("class", "form-control");
        $this->add($cpf);
        
        $this->add(array(
            'name' => 'submit',
            'type' => 'Zend\Form\Element\Submit',
            'attributes' => array(
                'value' => 'Buscar',
                'class' => 'btn btn-success form-control'
            )
        ));
    }

}
