<?php

namespace Certificados\Form;

use Zend\Form\Element\Text;
use Zend\Form\Form;

class Validacao extends Form {

    public function __construct($name = null, $options = array()) {
        parent::__construct('validacao', $options);
        $this->setInputFilter(new ValidacaoFilter());
        $this->setAttribute('method', 'post');

        $key = new Text("key");
        $key->setLabel("Chave de Validação")->setAttribute('placeholder', 'Ex:3QCGE3TI')->setAttribute("class", "form-control");
        $this->add($key);

        $this->add(array(
            'name' => 'submit',
            'type' => 'Zend\Form\Element\Submit',
            'attributes' => array(
                'value' => 'Validar',
                'class' => 'btn btn-success form-control'
            )
        ));
    }

}
