<?php

namespace Certificados\Form;

use Zend\InputFilter\InputFilter;

class ValidacaoFilter extends InputFilter {

    public function __construct() {


        $this->add(array(
            'name' => 'key',
            'required' => true,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
            ),
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
    }

}
