<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Local
 *
 * @ORM\Table(name="local", indexes={@ORM\Index(name="fk_local_unidade_ensino1_idx", columns={"unidade_ensino_id"})})
 * @ORM\Entity
 */
class Local
{
    /**
     * @var integer
     *
     * @ORM\Column(name="local_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $localId;

    /**
     * @var string
     *
     * @ORM\Column(name="loc_descricao", type="text", nullable=false)
     */
    private $locDescricao;

    /**
     * @var integer
     *
     * @ORM\Column(name="loc_capacidade", type="integer", nullable=true)
     */
    private $locCapacidade;

    /**
     * @var \UnidadeEnsino
     *
     * @ORM\ManyToOne(targetEntity="UnidadeEnsino")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="unidade_ensino_id", referencedColumnName="unidade_ensino_id")
     * })
     */
    private $unidadeEnsino;


}
