<?php

namespace Certificados\Entity; 

use Doctrine\ORM\Mapping as ORM;

/**
 * Modo
 *
 * @ORM\Table(name="modo")
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\ModoRepository")
 */
class Modo
{
    /**
     * @var integer
     *
     * @ORM\Column(name="modo_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $modoId;

    /**
     * @var string
     *
     * @ORM\Column(name="mod_descricao", type="string", length=45, nullable=true)
     */
    private $modDescricao;

    public function getModoId() {
        return $this->modoId;
    }

    public function getModDescricao() {
        return $this->modDescricao;
    }

    public function setModoId($modoId) {
        $this->modoId = $modoId;
    }

    public function setModDescricao($modDescricao) {
        $this->modDescricao = $modDescricao;
    }



}
