<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ParticipanteTipo
 *
 * @ORM\Table(name="participante_tipo")
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\ParticipanteTipoRepository")
 */
class ParticipanteTipo
{
    /**
     * @var integer
     *
     * @ORM\Column(name="participante_tipo_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $participanteTipoId;

    /**
     * @var string
     *
     * @ORM\Column(name="part_substantivo", type="string", length=45, nullable=true)
     */
    private $partSubstantivo;

    /**
     * @var string
     *
     * @ORM\Column(name="part_passado", type="string", length=45, nullable=true)
     */
    private $partPassado;
    
    
    public function getParticipanteTipoId() {
        return $this->participanteTipoId;
    }

    public function getPartSubstantivo() {
        return $this->partSubstantivo;
    }

    public function getPartPassado() {
        return $this->partPassado;
    }

    public function setParticipanteTipoId($participanteTipoId) {
        $this->participanteTipoId = $participanteTipoId;
        return $this;
    }

    public function setPartSubstantivo($partSubstantivo) {
        $this->partSubstantivo = $partSubstantivo;
        return $this;
    }

    public function setPartPassado($partPassado) {
        $this->partPassado = $partPassado;
        return $this;
    }

}
