<?php

namespace Certificados\Form;

use Zend\Form\Element\Password;
use Zend\Form\Element\Text;
use Zend\Form\Form;

class Login extends Form {

    public function __construct($name = null, $options = array()) {
        parent::__construct('login', $options);
        $this->setInputFilter(new LoginFilter());
        $this->setAttribute('method', 'post');

        $usuario = new Text("usuario");
        $usuario->setLabel("Usuário: ")->setAttribute("class", "form-control");
        $this->add($usuario);

        $senha = new Password("senha");
        $senha->setLabel("Senha: ")->setAttribute("class", "form-control");
        $this->add($senha);

        $this->add(array(
            'name' => 'submit',
            'type' => 'Zend\Form\Element\Submit',
            'attributes' => array(
                'value' => 'Login',
                'class' => 'btn btn-success form-control'
            )
        ));
    }

}
