<?php
// module/Application/src/Application/View/Helper/FormataCPF.php
namespace Certificados\View\Helper;
use Zend\View\Helper\AbstractHelper;
 
class FormataCPF extends AbstractHelper
{
    public function __invoke($cpf)
    {
        $cpf = preg_replace('/[^0-9]/', '', trim($cpf));
        if(strlen($cpf) != 11) {
            return null;
        }
         
        $cpf_formatado = substr($cpf, 0, 3) . '.';
        $cpf_formatado .= substr($cpf, 3, 3) . '.';
        $cpf_formatado .= substr($cpf, 6, 3) . '-';
        $cpf_formatado .= substr($cpf, 9, 3);
        return $cpf_formatado;
    }
}